---
title: ReadableStream.locked
slug: Web/API/ReadableStream/locked
tags:
  - API
  - Property
  - ReadableStream
  - Reference
  - Streams
  - locked
---
<div>{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>locked</code></strong> read-only property of the {{domxref("ReadableStream")}} interface returns whether or not the readable stream is <a href="https://streams.spec.whatwg.org/#lock" id="ref-for-locked-to-a-reader②">locked to a reader</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>locked</em> = </code>readableStream</var>.locked;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}} indicating whether or not the readable stream is locked.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const stream = new ReadableStream({
  ...
});

const reader = stream.getReader();

stream.locked
// should return true, as the stream has been locked to a reader</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rs-locked","locked")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableStream.locked")}}</p>
